Package org.bukkit

# Enum Class TreeType

java.lang.Object
java.lang.Enum<TreeType>
org.bukkit.TreeType

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeType>`, `Constable`

public enum TreeType extends Enum<TreeType>
Tree and organic structure types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACACIA`
Acacia tree.
`AZALEA`
Tree with large roots which grows above lush caves
`BIG_TREE`
Regular tree, extra tall with branches
`BIRCH`
Birch tree
`BROWN_MUSHROOM`
Big brown mushroom; tall and umbrella-like
`CHORUS_PLANT`
Large plant native to The End
`COCOA_TREE`
Jungle tree with cocoa plants; 1 block wide
`CRIMSON_FUNGUS`
Large crimson fungus native to the nether
`DARK_OAK`
Dark Oak tree.
`JUNGLE`
Standard jungle tree; 4 blocks wide and tall
`JUNGLE_BUSH`
Small bush that grows in the jungle
`MANGROVE`
Mangrove tree
`MEGA_REDWOOD`
Mega redwood tree; 4 blocks wide and tall
`RED_MUSHROOM`
Big red mushroom; short and fat
`REDWOOD`
Redwood tree, shaped like a pine tree
`SMALL_JUNGLE`
Smaller jungle tree; 1 block wide
`SWAMP`
Swamp tree (regular with vines on the side)
`TALL_BIRCH`
Tall birch tree
`TALL_MANGROVE`
Tall mangrove tree
`TALL_REDWOOD`
Tall redwood tree with just a few leaves at the top
`TREE`
Regular tree, no branches
`WARPED_FUNGUS`
Large warped fungus native to the nether

## Method Summary

Modifier and Type
Method
Description
`static TreeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TREE

public static final TreeType TREE
Regular tree, no branches

### BIG_TREE

public static final TreeType BIG_TREE
Regular tree, extra tall with branches

### REDWOOD

public static final TreeType REDWOOD
Redwood tree, shaped like a pine tree

### TALL_REDWOOD

public static final TreeType TALL_REDWOOD
Tall redwood tree with just a few leaves at the top

### BIRCH

public static final TreeType BIRCH
Birch tree

### JUNGLE

public static final TreeType JUNGLE
Standard jungle tree; 4 blocks wide and tall

### SMALL_JUNGLE

public static final TreeType SMALL_JUNGLE
Smaller jungle tree; 1 block wide

### COCOA_TREE

public static final TreeType COCOA_TREE
Jungle tree with cocoa plants; 1 block wide

### JUNGLE_BUSH

public static final TreeType JUNGLE_BUSH
Small bush that grows in the jungle

### RED_MUSHROOM

public static final TreeType RED_MUSHROOM
Big red mushroom; short and fat

### BROWN_MUSHROOM

public static final TreeType BROWN_MUSHROOM
Big brown mushroom; tall and umbrella-like

### SWAMP

public static final TreeType SWAMP
Swamp tree (regular with vines on the side)

### ACACIA

public static final TreeType ACACIA
Acacia tree.

### DARK_OAK

public static final TreeType DARK_OAK
Dark Oak tree.

### MEGA_REDWOOD

public static final TreeType MEGA_REDWOOD
Mega redwood tree; 4 blocks wide and tall

### TALL_BIRCH

public static final TreeType TALL_BIRCH
Tall birch tree

### CHORUS_PLANT

public static final TreeType CHORUS_PLANT
Large plant native to The End

### CRIMSON_FUNGUS

public static final TreeType CRIMSON_FUNGUS
Large crimson fungus native to the nether

### WARPED_FUNGUS

public static final TreeType WARPED_FUNGUS
Large warped fungus native to the nether

### AZALEA

public static final TreeType AZALEA
Tree with large roots which grows above lush caves

### MANGROVE

public static final TreeType MANGROVE
Mangrove tree

### TALL_MANGROVE

public static final TreeType TALL_MANGROVE
Tall mangrove tree

## Method Details

### values

public static TreeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TreeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null